## org.h2.test.jdbc
Class TestJavaObject.MyObj

    java.lang.Object
      org.h2.test.jdbc.TestJavaObject.MyObj

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TestJavaObject.MyObj>

Enclosing class:
  TestJavaObject

    public static class TestJavaObject.MyObj

extends java.lang.Object
implements java.lang.Comparable<TestJavaObject.MyObj>, java.io.Serializable

A test class.

See Also:
  Serialized Form

Method Summary
`int` `compareTo(TestJavaObject.MyObj o)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(TestJavaObject.MyObj o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<TestJavaObject.MyObj>`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`